Raphael.fn.pieChart = function (cx, cy, r, values, labels, stroke) {
    var paper = this,
        rad = Math.PI / 180;
    function sector(cx, cy, r, startAngle, endAngle, params) {
        var x1 = cx + r * Math.cos(-startAngle * rad),
            x2 = cx + r * Math.cos(-endAngle * rad),
            y1 = cy + r * Math.sin(-startAngle * rad),
            y2 = cy + r * Math.sin(-endAngle * rad);
        return paper.path(params).moveTo(cx, cy).lineTo(x1, y1).arcTo(r, r, (endAngle - startAngle > 180 ? 1 : 0), 0, x2, y2).andClose();
    }
    var angle = 0,
        total = 0;
        process = function (j) {
            var value = values[j],
                angleplus = 360 * value / total,
                popangle = angle + (angleplus / 2),
                color = Raphael.getColor(.7),
                ms = 200,
                delta = 30,
                p = sector(cx, cy, r, angle, angle + angleplus, {fill: color, stroke: stroke}),
                bcolor = Raphael.rgb2hsb(color);
            bcolor = Raphael.hsb2rgb(bcolor.h, bcolor.s, 1).hex;
            var txt = paper.text(cx + (r + delta + 55) * Math.cos(-popangle * rad), cy + (r + delta + 25) * Math.sin(-popangle * rad), labels[j]).attr({fill: "#fff", stroke: "none", opacity: 0, "font-family": '"Arial"', "font-size": "14px"});
            p.mouseover(function () {
                var dt = (new Date()).getTime(),
                    x = 0,
                    y = 0,
                    x1 = delta * Math.cos(-popangle * rad),
                    y1 = delta * Math.sin(-popangle * rad);
                p.animate({translation: [x1, y1].join(" "), fill: bcolor}, ms);
                txt.animate({opacity: 1}, ms);
            }).mouseout(function () {
                var dt = (new Date()).getTime(),
                    x = 0,
                    y = 0,
                    tr = p.attr("translation");
                p.animate({translation: [-tr.x, -tr.y].join(" "), fill: color}, ms);
                txt.animate({opacity: 0}, ms);
            });
            angle += angleplus;
        };
    for (var i = 0, ii = values.length; i < ii; i++) {
        total += values[i];
    }
    for (var i = 0; i < ii; i++) {
        process(i);
    }
};


$(window).load(function () {
    var paper = Raphael("holder", graph_width, graph_height),
        values = [],
        labels = [];
    // $("tr").each(function () {
    //     values.push(parseInt($("td", this).text(), 10));
    //     labels.push($("th", this).text());
    // });
    
    $(".data_label").each(function () {
        labels.push($(this).text());
    });
    
    $(".data_value").each(function () {
        values.push(parseInt($(this).text(), 10));
    });
    
    //$("table").hide();
    
    // draw the background
    var backgroundTopColor = "#000";
    var backgroundBottomColor = "#515160";
    var theBackground = paper.rect(0, 0, graph_width, graph_height);
    theBackground.attr({gradient: "90-"+backgroundBottomColor+"-"+backgroundTopColor+"", opacity: 1.0})
    
    
    paper.pieChart(graph_width / 2, graph_height / 2, 150, values, labels, "#000");
});